Page MenuHomePhabricator

[Regression] Uncaught Error: Module "mediawiki.router" is not loaded (on Special:Nearby)
Closed, ResolvedPublic2 Story Points

Description

On https://www.wikidata.org/wiki/Special:Nearby

Uncaught Error: Module "mediawiki.router" is not loaded.mw.loader.require @ load.php?debug=true&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=vector&version=Oc6TECKA:12574
(anonymous function) @ nearby.js?2cf37:4
(anonymous function) @ nearby.js?2cf37:116

Details

Related Gerrit Patches:
mediawiki/extensions/MobileFrontend : wmf/1.28.0-wmf.6Add missing dependencies to nearby and editor
mediawiki/extensions/MobileFrontend : masterAdd missing dependencies to nearby and editor

Event Timeline

aude created this task.Jun 15 2016, 7:43 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 15 2016, 7:43 PM
hashar added a subscriber: hashar.

Potentially blocking 1.28.0-wmf.16 roll out (we have it on group0 and group1) T136971

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 15 2016, 8:28 PM
aude triaged this task as High priority.Jun 15 2016, 8:29 PM
aude added a comment.Jun 15 2016, 8:48 PM

on mobile wikidata, I get:

load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:178 Error: Unknown dependency: site Error: Unknown dependency: site
    at sortDependencies (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:160:256)
    at String.<anonymous> (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:161:230)
    at Function.jQuery.extend.each (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:5:235)
    at resolve (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:161:196)
    at Object.mw.loader.using (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:171:124)
    at Object.<anonymous> (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:163:251)
    at fire (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:45:122)
    at Object.self.add [as done] (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:45:656)
    at Object.promise.always (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:46:874)
    at runScript (https://m.wikidata.org/w/load.php?debug=false&lang=en&modules=jquery%2Cmediawiki&only=scripts&skin=minerva&version=Oc6TECKA:163:1)
aude added a comment.Jun 15 2016, 8:48 PM

on Catalan Wikipedia, I also get the js error (router) in desktop view but mobile view is okay:

https://ca.m.wikipedia.org/wiki/Especial:A_prop

aude added a comment.Jun 15 2016, 9:18 PM

if i add / move "mediawiki.router" as a dependency in mobile.startup, then I don't have the error but Special:Nearby doesn't do anything (e.g. no api requests to search for nearby pages)

Special:Nearby also appears to do nothing on https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%91%D7%A1%D7%91%D7%99%D7%91%D7%94 (in mobile view)

aude added a comment.Jun 15 2016, 9:18 PM

if i add / move "mediawiki.router" as a dependency in mobile.startup, then I don't have the error but Special:Nearby doesn't do anything (e.g. no api requests to search for nearby pages)

Special:Nearby also appears to do nothing on https://he.m.wikipedia.org/wiki/%D7%9E%D7%99%D7%95%D7%97%D7%93:%D7%91%D7%A1%D7%91%D7%99%D7%91%D7%94 (in mobile view)

greg assigned this task to dr0ptp4kt.Jun 15 2016, 10:53 PM
greg raised the priority of this task from High to Unbreak Now!.
greg added subscribers: dr0ptp4kt, greg.

Since this is breaking mobile wikidata and desktop catalan wikipedia, marking this as UBN!

@dr0ptp4kt can you help get the right people looking here, please?

Restricted Application added subscribers: Luke081515, TerraCodes, Urbanecm. · View Herald TranscriptJun 15 2016, 10:53 PM

Change 294645 had a related patch set uploaded (by Bmansurov):
Add the missing dependencies

https://gerrit.wikimedia.org/r/294645

greg added a comment.Jun 15 2016, 11:19 PM

Thanks all.

Change 294649 had a related patch set uploaded (by Bmansurov):
Add the missing dependencies

https://gerrit.wikimedia.org/r/294649

I've reviewed tested and merged the master patch. Going to test the wmf6 version now.

Change 294645 merged by jenkins-bot:
Add missing dependencies to nearby and editor

https://gerrit.wikimedia.org/r/294645

Looking good to me too. I've +1d it.

I have took on me to green light the deploy right now as an emergency fix. It has been tested on beta and there are leet mobile developers around to assist / verify etc.

Change 294649 merged by Hashar:
Add missing dependencies to nearby and editor

https://gerrit.wikimedia.org/r/294649

Mentioned in SAL [2016-06-16T09:18:08Z] <hashar@tin> Synchronized php-1.28.0-wmf.6/extensions/MobileFrontend: MobileFrontend RL registration issue preventing Special:Nearby from working properly T137919 (duration: 00m 36s)

Jhernandez renamed this task from Uncaught Error: Module "mediawiki.router" is not loaded (on Special:Nearby) to [Regression] Uncaught Error: Module "mediawiki.router" is not loaded (on Special:Nearby).Jun 16 2016, 9:28 AM

We have done the deploy over Google Hangouts and all went fine. Having developers to confirm the fix works makes it quite trivial.

As a follow up, we quickly talked about opening a SWAT deployment window during European morning. I have poked Releng private list about it, we will see about organizing / opening such a slot!

phuedx added a subscriber: phuedx.Jun 16 2016, 11:58 AM

We have done the deploy over Google Hangouts and all went fine. Having developers to confirm the fix works makes it quite trivial.
As a follow up, we quickly talked about opening a SWAT deployment window during European morning. I have poked Releng private list about it, we will see about organizing / opening such a slot!

As I'm currently only working European morning hours/attending any meetings in SF morning hours but I still have the capacity (and the privs!) to deploy, a European morning SWAT deployment window would be great.

Also, being able to watch and chat with @hashar while he was deploying was really instructive and it'd be great if we could do this more.

bmansurov removed bmansurov as the assignee of this task.Jun 16 2016, 3:05 PM

Good work, everyone.

greg added a comment.Jun 16 2016, 3:19 PM

We have done the deploy over Google Hangouts and all went fine. Having developers to confirm the fix works makes it quite trivial.
As a follow up, we quickly talked about opening a SWAT deployment window during European morning. I have poked Releng private list about it, we will see about organizing / opening such a slot!

As I'm currently only working European morning hours/attending any meetings in SF morning hours but I still have the capacity (and the privs!) to deploy, a European morning SWAT deployment window would be great.

I'll work on making a 'real' proposal and floating it publicly. Stay tuned (warning, I'm working half-time, 20 hours/week, for a while so I'm slower than normal!)

Also, being able to watch and chat with @hashar while he was deploying was really instructive and it'd be great if we could do this more.

Awesome!

bmansurov set the point value for this task to 2.Jun 16 2016, 5:11 PM